# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonRepository.Type

Packages that use CDOCommonRepository.Type
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonRepository.Type in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonRepository.Type
Modifier and Type
Method
Description
`CDOCommonRepository.Type`
CDOCommonRepository.TypeChangedEvent.`getNewType()`
`CDOCommonRepository.Type`
CDOCommonRepository.TypeChangedEvent.`getOldType()`
`CDOCommonRepository.Type`
CDOCommonRepository.`getType()`
Returns the type of this repository.
`static CDOCommonRepository.Type`
CDOCommonRepository.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.Type[]`
CDOCommonRepository.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOCommonRepository.Type in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDOCommonRepository.Type
Modifier and Type
Method
Description
`CDOCommonRepository.Type`
RepositoryTypeChangedEvent.`getNewType()`
`CDOCommonRepository.Type`
RepositoryTypeChangedEvent.`getOldType()`
Constructors in org.eclipse.emf.cdo.common.util with parameters of type CDOCommonRepository.Type
Modifier
Constructor
Description
``
`RepositoryTypeChangedEvent(org.eclipse.net4j.util.event.INotifier source, CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`

## Uses of CDOCommonRepository.Type in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOCommonRepository.Type
Modifier and Type
Method
Description
`void`
InternalSession.`sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
`void`
InternalSessionManager.`sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
`void`
ISessionProtocol.`sendRepositoryTypeNotification(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
`void`
InternalRepository.`setType(CDOCommonRepository.Type type)`

## Uses of CDOCommonRepository.Type in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOCommonRepository.Type
Modifier and Type
Method
Description
`CDOCommonRepository.Type`
CDOSessionProtocol.OpenSessionResult.`getRepositoryType()`
Deprecated.
As of 4.5 use `CDOSessionProtocol.OpenSessionResult.getType()`.
`CDOCommonRepository.Type`
CDOSessionProtocol.OpenSessionResult.`getType()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOCommonRepository.Type
Modifier and Type
Method
Description
`void`
InternalCDOSession.`handleRepositoryTypeChanged(CDOCommonRepository.Type oldType, CDOCommonRepository.Type newType)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOCommonRepository.Type
Modifier
Constructor
Description
``
`OpenSessionResult(int sessionID, String userID, String repositoryUUID, CDOCommonRepository.Type repositoryType, CDOCommonRepository.State repositoryState, String storeType, Set<CDOID.ObjectType> objectIDTypes, long repositoryCreationTime, long lastUpdateTime, CDOID rootResourceID, boolean repositorySupportingAudits, boolean repositorySupportingBranches, boolean repositorySerializingCommits, boolean repositoryEnsuringReferentialIntegrity, CDOCommonRepository.IDGenerationLocation repositoryIDGenerationLocation)`
Deprecated.
As of 4.4 use `OpenSessionResult(CDODataInput, int)`.